<?php use_helper('Object', 'I18N', 'Validation', 'tvtl', 'ModalBox') ?>
<?php use_javascript('/js/avim.js');?>

<?php echo mm_form_tag('user/changeUser', array('class'=>'mainform', 'id'=>'mainform'), null, 1) ?>
  <div class="form changuserform">
    <div class="content">
      <div class="fieldset">
        <?php $options = array('style'=>'width:180px') ?>
        <?php echo gridTable(array(array(3, 9),
        array(  label_for('us_username', __('Username').'*'),
                form_error('us_username').
                object_input_tag($tbluser, 'getUsUsername', $options).
                '<font color="Gray"> (ví dụ: hongvan72)</font>'
        ),
        array(  label_for('oldpassword', __('Old password').'*'),
                form_error('oldpassword').
                input_password_tag('oldpassword', $sf_request->getParameter('oldpassword'), $options)
        ),
        array(  label_for('us_password', __('Password').' mới'),
                form_error('us_password').
                input_password_tag('us_password', $sf_request->getParameter('us_password'), $options).
                '<font color="Gray"> (phải dễ nhớ và ít nhất 6 ký tự)</font>'
        ),
        array(  label_for('password2', __('ReEnter Password')),
                form_error('password2').
                input_password_tag('password2',  $sf_request->getParameter('password2'), $options).
                '<font color="Gray"> (gõ lại để tránh nhầm lẫn)</font>'
        ))) ?>
      </div>
    </div>
    <center>
      <?php echo m_submit_tag('Thay đổi', array('onclick'=>'if (!document.alphanumeric()) return false;')); ?>
      &nbsp;&nbsp;
      <a href="javascript:Modalbox.hide()">Không thay đổi</a>
    </center>
  </div>
<?php echo mm_form_tag_end() ?>

<?php $sf_context->getResponse()->addJavascriptCommand('
function trim(str) {
  var chars = "";
  return ltrim(rtrim(str, chars), chars);
}
function ltrim(str, chars) {
    chars = chars || "\\s";
    return str.replace(new RegExp("^[" + chars + "]+", "g"), "");
}
function rtrim(str, chars) {
    chars = chars || "\\s";
    return str.replace(new RegExp("[" + chars + "]+$", "g"), "");
}
document.alphanumeric = function() {
  var alphane = $("us_username").value;
  var numaric = trim(alphane.toLowerCase());
  for (var j=0; j<numaric.length; j++) {
    var alphaa = numaric.charAt(j);
    var hh = alphaa.charCodeAt(0);
    if((hh > 47 && hh<58) || (hh > 96 && hh<123) || (hh == 95) || (hh == 45) ){}
    else {
      alert("Tên truy nhập không được chứa dấu cách, tiếng Việt và các ký tự đặc biệt!");
      $("us_username").focus();
      return false;
    }
  }
  return true;
}
$("oldpassword").focus();
'); ?>